/api/v0/shipments/tracking-updates

This API is used for when an order is sent to Spreetail, where the tracking information for the order needs to be sent back to that marketplace to confirm the item has been shipment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get recent tracking updates

GET /api/v0/shipments/tracking-updates?hours=:hours

Returns tracking and package details for shipments updated within the last hours. The hours value allows a maximum of 720 hours.

Get tracking updates

GET /api/v0/shipments/tracking-updates?searchBy=:searchBy\&startDate=:startDate\&endDate=:endDate

Returns tracking and package details for shipments between the given startDate and endDate. The optional searchBy parameter gives the option to look for orders that have been created, updated, or replaced during the time period.

Enabling Pagination

GET /api/v0/shipments/tracking-updates?searchBy=:searchBy&startDate=:startDate&endDate=:endDate&pageNumber=:pageNumber&\itemsPerPage=:itemsPerPage

The pageNumber and itemsPerPage values are optional, and supplying them will enable paginated results. When specified, the itemsPerPage has a maximum of 100 results. Pages start at 1.

ParameterTypeDetail
searchBystringMay be one of the following:
  • created

  • updated

  • replaced

startDatedate/timeISO 8601 formatted date/time
Example: 2024-07-01T12:34:56+00:00
endDatedate/timeISO 8601 formatted date/time
Example: 2024-07-07T12:34:56+00:00
pageNumberinteger(Optional) The index of the current page of results you want to retrieve. Pages start at 1.
itemsPerPageinteger(Optional) The number of items returned on a page. Maximum 100.

Sample Response

{
  "data": [
    {
      "packageId": "3d96ab61-9cce-4bb2-b695-7cea0468dc2d",
      "customerOrderId": "user-provided-order-id",
      "packageContents": [
        {
          "productId": "123456",
          "sku": "SKU-COMPONENT-1",
          "upc": "0123456789012",
          "quantity": 1,
          "customerLineItemId": "1",
          "lineItemProductId": "123455"
        },
        {
          "productId": "123457",
          "sku": "SKU-COMPONENT-2",
          "upc": "0123456789012",
          "quantity": 1,
          "customerLineItemId": "2",
          "lineItemProductId": "123455"
        }
      ],
      "trackingDetail": {
        "trackingNumber": "123456789123",
        "trackingUrl": "https://www.fedex.com/fedextrack/?trknbr=123456789123",
        "shippingCarrier": "fedexground",
        "serviceLevel": "Ground",
        "originFc": "IND01",
        "shipDate": "2024-03-06T12:30:00.000+00:00",
        "estimatedDeliveryDate": "2024-03-07T00:00:00+00:00",
        "trackingEvents": [
          {
            "eventType": "label_generated",
            "eventTimestamp": "2024-03-06T12:30:00.000+00:00"
          },
          {
            "eventType": "tendered_to_carrier",
            "eventTimestamp": "2024-03-07T15:00:00+00:00"
          },
          {
            "eventType": "delivered",
            "eventTimestamp": "2024-03-08T20:00:00+00:00"
          }
        ]
      },
      "lastUpdated": "2024-03-14T21:00:00.00+00:00",
      "dateReplaced": "2024-03-21T21:00:00.00+00:00",
      "replacedByPackageId": "3fa85f64-5717-4562-b3fc-2c963f66afa6""
    }
  ],
  "pagination": {
    "page": 1,
    "totalPages": 15
  },
  "requestId": "0HN27ELI04P5N:00000002"
}
Package
packageIdUnique identifier for the package
customerOrderIdOrder ID provided when calling the Create Orders endpoint
lastUpdatedTimestamp for last update
dateReplaced(Optional) If provided, the shipment has been replaced by the corresponding replacedByPackageId value
replacedByPackageId(Optional) The packageId value the has replaced this package
packageContents
productIdProduct ID for the item contained within the shipment
skuSKU for the for the item contained within the shipment
upcUPC for the for the item contained within the shipment
quantityThe quantity included in the specified shipment
customerLineItemIdThe customerLineItemId provided when calling the Create Orders endpoint
lineItemProductIdThe original productId provided when calling the Create Orders endpoint. This value may differ from the productId returned above due to bundling of items
trackingDetail
trackingNumberTracking number provided by the carrier
trackingUrlURL available for customer tracking
shippingCarrierThe carrier used to ship the package. This may be one of the following:
  • abf
  • amazon
  • ceva
  • efw
  • fedex2day
  • fedexfirst
  • fedexfirstovernight
  • fedexfreight
  • fedexground
  • fedexovernight
  • freightshipping
  • lsoecommerce
  • lsoground
  • ontrac
  • other
  • pilot
  • rlcarriers
  • saia
  • spreetaildelivery
  • uds
  • upsground
  • usps
  • uspsexpressmail
  • uspsfirstclass
  • uspsfirstclassinternational
  • uspspriority
  • uspsprioritymailinternational
serviceLevelThe Carrier's service level used to ship the package. This may be one of the following:
  • ground
  • two_day
  • next_day
  • same_day
  • freight
  • international
originFcThe fulfillment center from where the package originated
shipDateDate of shipment
estimatedDeliveryDateEstimated delivery date provided by the carrier at time of shipping
lastUpdatedTimestamp of last change
trackingEventsListing of events for the shipment
trackingEvents.eventTypeThe type of event. Can be one of the following:
  • label_generated
  • tendered_to_carrier
  • delivered
trackingEvents.eventTimestampTimestamp for the event

pagination
pageThe current page number
totalPagesThe total number of available pages

Return Tracking Detail for a Single Order

GET /api/v0/orders/:customerOrderId/packages

This method will return tracking and package details for a single order, based on the provided customerOrderId. The returned data provided uses the same schema as the /shipments/tracking-updates call.

Query Params
int32
string
enum
Allowed:
date-time
date-time
customerOrderIds
array of strings
customerOrderIds
int32
int32
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json